My first Firefox 3 stumbling block

Ran into my first Firefox 3 stumbling block other than a few non-essential add-ons not working: Akamai's EdgeControl site doesn't seem to like Firefox 3. When I go to login to the site, I get the following:

You may be using an unsupported browser. Please note that some EdgeControl features will only work in the following browsers: * Internet Explorer 6 or 7 * Firefox 2 * Safari 2 or 3

Come on, Akamai - the largest CDN on the planet - didn't have enough warning that the new browser was coming that they couldn't get the site tested? Fortunately, the piece I use is compatible with Firefox 3.0, but your mileage may vary.

Join the Network World communities on Facebook and LinkedIn to comment on topics that are top of mind.

Copyright © 2008 IDG Communications, Inc.

SD-WAN buyers guide: Key questions to ask vendors (and yourself)